<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.10.0"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlatZaAnalitiku: TContainer Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<script type="text/javascript" src="clipboard.js"></script>
<script type="text/javascript" src="cookie.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">AlatZaAnalitiku
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.10.0 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#signals">Signals</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="#pro-methods">Protected Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a> &#124;
<a href="class_t_container-members.html">List of all members</a>  </div>
  <div class="headertitle"><div class="title">TContainer Class Reference</div></div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="tcontainer_8h_source.html">tcontainer.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for TContainer:</div>
<div class="dyncontent">
<div class="center"><img src="class_t_container__inherit__graph.png" border="0" usemap="#a_t_container_inherit__map" alt="Inheritance graph"/></div>
<map name="a_t_container_inherit__map" id="a_t_container_inherit__map">
<area shape="rect" title=" " alt="" coords="5,123,155,533"/>
<area shape="rect" title=" " alt="" coords="48,5,112,75"/>
<area shape="poly" title=" " alt="" coords="83,90,83,123,77,123,77,90"/>
</map>
</div>
<div class="dynheader">
Collaboration diagram for TContainer:</div>
<div class="dyncontent">
<div class="center"><img src="class_t_container__coll__graph.png" border="0" usemap="#a_t_container_coll__map" alt="Collaboration graph"/></div>
<map name="a_t_container_coll__map" id="a_t_container_coll__map">
<area shape="rect" title=" " alt="" coords="5,123,155,533"/>
<area shape="rect" title=" " alt="" coords="48,5,112,75"/>
<area shape="poly" title=" " alt="" coords="83,90,83,123,77,123,77,90"/>
</map>
</div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="signals" name="signals"></a>
Signals</h2></td></tr>
<tr class="memitem:a1870d8ffa14ddd479723760f6eaaa474" id="r_a1870d8ffa14ddd479723760f6eaaa474"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a1870d8ffa14ddd479723760f6eaaa474">inFocus</a> (bool <a class="el" href="#a7a844194c504b1284815baabb1d4db6f">mode</a>)</td></tr>
<tr class="separator:a1870d8ffa14ddd479723760f6eaaa474"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aafbb0a20f7164c617bd6f575309a0890" id="r_aafbb0a20f7164c617bd6f575309a0890"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#aafbb0a20f7164c617bd6f575309a0890">outFocus</a> (bool <a class="el" href="#a7a844194c504b1284815baabb1d4db6f">mode</a>)</td></tr>
<tr class="separator:aafbb0a20f7164c617bd6f575309a0890"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad599804c865672b7d376517ea8abd5c6" id="r_ad599804c865672b7d376517ea8abd5c6"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#ad599804c865672b7d376517ea8abd5c6">newGeometry</a> (QRect rect)</td></tr>
<tr class="separator:ad599804c865672b7d376517ea8abd5c6"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-methods" name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a3dec4ff05dc9fa2ce45bac155768195a" id="r_a3dec4ff05dc9fa2ce45bac155768195a"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a3dec4ff05dc9fa2ce45bac155768195a">TContainer</a> (QWidget *parent, QPoint p, QWidget *cWidget=0, QLayout *<a class="el" href="#a6ca3e2709b4130b8a299372a1ad50cc6">l</a>=nullptr)</td></tr>
<tr class="separator:a3dec4ff05dc9fa2ce45bac155768195a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a73ed9bb9857cfde5a758edfa08dbfeb7" id="r_a73ed9bb9857cfde5a758edfa08dbfeb7"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a73ed9bb9857cfde5a758edfa08dbfeb7">~TContainer</a> ()</td></tr>
<tr class="separator:a73ed9bb9857cfde5a758edfa08dbfeb7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad59f9a6ebe52d55d9e06ced5778de9bd" id="r_ad59f9a6ebe52d55d9e06ced5778de9bd"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#ad59f9a6ebe52d55d9e06ced5778de9bd">setChildWidget</a> (QWidget *cWidget)</td></tr>
<tr class="separator:ad59f9a6ebe52d55d9e06ced5778de9bd"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-attribs" name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a47db35c038b54b6f1a0d20a66984acc4" id="r_a47db35c038b54b6f1a0d20a66984acc4"><td class="memItemLeft" align="right" valign="top">QWidget *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a47db35c038b54b6f1a0d20a66984acc4">childWidget</a></td></tr>
<tr class="separator:a47db35c038b54b6f1a0d20a66984acc4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aee5e6ca8a4315dabde8f2c759f9e1cb9" id="r_aee5e6ca8a4315dabde8f2c759f9e1cb9"><td class="memItemLeft" align="right" valign="top">QMenu *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#aee5e6ca8a4315dabde8f2c759f9e1cb9">menu</a></td></tr>
<tr class="separator:aee5e6ca8a4315dabde8f2c759f9e1cb9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6200418012e16d3b54a49b1559e41eb2" id="r_a6200418012e16d3b54a49b1559e41eb2"><td class="memItemLeft" align="right" valign="top">QPoint&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a6200418012e16d3b54a49b1559e41eb2">position</a></td></tr>
<tr class="separator:a6200418012e16d3b54a49b1559e41eb2"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pro-methods" name="pro-methods"></a>
Protected Member Functions</h2></td></tr>
<tr class="memitem:ad1a9ed8353fc1e75c74364dee4c0c8db" id="r_ad1a9ed8353fc1e75c74364dee4c0c8db"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#ad1a9ed8353fc1e75c74364dee4c0c8db">setCursorShape</a> (const QPoint &amp;e_pos)</td></tr>
<tr class="separator:ad1a9ed8353fc1e75c74364dee4c0c8db"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2ac97f5aa2613fc7b0da5cf07d301a4c" id="r_a2ac97f5aa2613fc7b0da5cf07d301a4c"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a2ac97f5aa2613fc7b0da5cf07d301a4c">focusInEvent</a> (QFocusEvent *)</td></tr>
<tr class="separator:a2ac97f5aa2613fc7b0da5cf07d301a4c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0168ff57cd7ab9d3125a1db0309db35e" id="r_a0168ff57cd7ab9d3125a1db0309db35e"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a0168ff57cd7ab9d3125a1db0309db35e">focusOutEvent</a> (QFocusEvent *)</td></tr>
<tr class="separator:a0168ff57cd7ab9d3125a1db0309db35e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a363bbe865f845962eb2064033233981a" id="r_a363bbe865f845962eb2064033233981a"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a363bbe865f845962eb2064033233981a">mousePressEvent</a> (QMouseEvent *)</td></tr>
<tr class="separator:a363bbe865f845962eb2064033233981a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a98b6490df0c3f02102f095356e4bf029" id="r_a98b6490df0c3f02102f095356e4bf029"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a98b6490df0c3f02102f095356e4bf029">mouseReleaseEvent</a> (QMouseEvent *)</td></tr>
<tr class="separator:a98b6490df0c3f02102f095356e4bf029"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad3d19d63191a68bfb9fedaed7d27514d" id="r_ad3d19d63191a68bfb9fedaed7d27514d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#ad3d19d63191a68bfb9fedaed7d27514d">mouseMoveEvent</a> (QMouseEvent *)</td></tr>
<tr class="separator:ad3d19d63191a68bfb9fedaed7d27514d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af3ae6c9b388309dad4ca0b327a339fa6" id="r_af3ae6c9b388309dad4ca0b327a339fa6"><td class="memItemLeft" align="right" valign="top">QWidget *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#af3ae6c9b388309dad4ca0b327a339fa6">clone</a> ()</td></tr>
<tr class="separator:af3ae6c9b388309dad4ca0b327a339fa6"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pro-attribs" name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr class="memitem:a7a844194c504b1284815baabb1d4db6f" id="r_a7a844194c504b1284815baabb1d4db6f"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a7a844194c504b1284815baabb1d4db6f">mode</a></td></tr>
<tr class="separator:a7a844194c504b1284815baabb1d4db6f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6ca3e2709b4130b8a299372a1ad50cc6" id="r_a6ca3e2709b4130b8a299372a1ad50cc6"><td class="memItemLeft" align="right" valign="top">QLayout *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a6ca3e2709b4130b8a299372a1ad50cc6">l</a></td></tr>
<tr class="separator:a6ca3e2709b4130b8a299372a1ad50cc6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a53292ce420dfa371ec2bd7d2f4b1a70e" id="r_a53292ce420dfa371ec2bd7d2f4b1a70e"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a53292ce420dfa371ec2bd7d2f4b1a70e">m_infocus</a></td></tr>
<tr class="separator:a53292ce420dfa371ec2bd7d2f4b1a70e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aef805cb09018660db86662d75074e924" id="r_aef805cb09018660db86662d75074e924"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#aef805cb09018660db86662d75074e924">m_showMenu</a></td></tr>
<tr class="separator:aef805cb09018660db86662d75074e924"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a92e0705a71484bef731751c82850f4b8" id="r_a92e0705a71484bef731751c82850f4b8"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a92e0705a71484bef731751c82850f4b8">m_isEditing</a></td></tr>
<tr class="separator:a92e0705a71484bef731751c82850f4b8"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a3dec4ff05dc9fa2ce45bac155768195a" name="a3dec4ff05dc9fa2ce45bac155768195a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3dec4ff05dc9fa2ce45bac155768195a">&#9670;&#160;</a></span>TContainer()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TContainer::TContainer </td>
          <td>(</td>
          <td class="paramtype">QWidget *</td>          <td class="paramname"><span class="paramname"><em>parent</em>, </span></td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">QPoint</td>          <td class="paramname"><span class="paramname"><em>p</em>, </span></td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">QWidget *</td>          <td class="paramname"><span class="paramname"><em>cWidget</em><span class="paramdefsep"> = </span><span class="paramdefval">0</span>, </span></td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">QLayout *</td>          <td class="paramname"><span class="paramname"><em>l</em><span class="paramdefsep"> = </span><span class="paramdefval">nullptr</span></span>&#160;)</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a73ed9bb9857cfde5a758edfa08dbfeb7" name="a73ed9bb9857cfde5a758edfa08dbfeb7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a73ed9bb9857cfde5a758edfa08dbfeb7">&#9670;&#160;</a></span>~TContainer()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TContainer::~TContainer </td>
          <td>(</td>
          <td class="paramname"><span class="paramname"></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="af3ae6c9b388309dad4ca0b327a339fa6" name="af3ae6c9b388309dad4ca0b327a339fa6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af3ae6c9b388309dad4ca0b327a339fa6">&#9670;&#160;</a></span>clone()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">QWidget * TContainer::clone </td>
          <td>(</td>
          <td class="paramname"><span class="paramname"></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a2ac97f5aa2613fc7b0da5cf07d301a4c" name="a2ac97f5aa2613fc7b0da5cf07d301a4c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2ac97f5aa2613fc7b0da5cf07d301a4c">&#9670;&#160;</a></span>focusInEvent()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void TContainer::focusInEvent </td>
          <td>(</td>
          <td class="paramtype">QFocusEvent *</td>          <td class="paramname"><span class="paramname"></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a0168ff57cd7ab9d3125a1db0309db35e" name="a0168ff57cd7ab9d3125a1db0309db35e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0168ff57cd7ab9d3125a1db0309db35e">&#9670;&#160;</a></span>focusOutEvent()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void TContainer::focusOutEvent </td>
          <td>(</td>
          <td class="paramtype">QFocusEvent *</td>          <td class="paramname"><span class="paramname"></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a1870d8ffa14ddd479723760f6eaaa474" name="a1870d8ffa14ddd479723760f6eaaa474"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1870d8ffa14ddd479723760f6eaaa474">&#9670;&#160;</a></span>inFocus</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void TContainer::inFocus </td>
          <td>(</td>
          <td class="paramtype">bool</td>          <td class="paramname"><span class="paramname"><em>mode</em></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">signal</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ad3d19d63191a68bfb9fedaed7d27514d" name="ad3d19d63191a68bfb9fedaed7d27514d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad3d19d63191a68bfb9fedaed7d27514d">&#9670;&#160;</a></span>mouseMoveEvent()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void TContainer::mouseMoveEvent </td>
          <td>(</td>
          <td class="paramtype">QMouseEvent *</td>          <td class="paramname"><span class="paramname"><em>e</em></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a363bbe865f845962eb2064033233981a" name="a363bbe865f845962eb2064033233981a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a363bbe865f845962eb2064033233981a">&#9670;&#160;</a></span>mousePressEvent()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void TContainer::mousePressEvent </td>
          <td>(</td>
          <td class="paramtype">QMouseEvent *</td>          <td class="paramname"><span class="paramname"><em>e</em></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a98b6490df0c3f02102f095356e4bf029" name="a98b6490df0c3f02102f095356e4bf029"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a98b6490df0c3f02102f095356e4bf029">&#9670;&#160;</a></span>mouseReleaseEvent()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void TContainer::mouseReleaseEvent </td>
          <td>(</td>
          <td class="paramtype">QMouseEvent *</td>          <td class="paramname"><span class="paramname"><em>e</em></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ad599804c865672b7d376517ea8abd5c6" name="ad599804c865672b7d376517ea8abd5c6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad599804c865672b7d376517ea8abd5c6">&#9670;&#160;</a></span>newGeometry</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void TContainer::newGeometry </td>
          <td>(</td>
          <td class="paramtype">QRect</td>          <td class="paramname"><span class="paramname"><em>rect</em></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">signal</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="aafbb0a20f7164c617bd6f575309a0890" name="aafbb0a20f7164c617bd6f575309a0890"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aafbb0a20f7164c617bd6f575309a0890">&#9670;&#160;</a></span>outFocus</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void TContainer::outFocus </td>
          <td>(</td>
          <td class="paramtype">bool</td>          <td class="paramname"><span class="paramname"><em>mode</em></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">signal</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ad59f9a6ebe52d55d9e06ced5778de9bd" name="ad59f9a6ebe52d55d9e06ced5778de9bd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad59f9a6ebe52d55d9e06ced5778de9bd">&#9670;&#160;</a></span>setChildWidget()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void TContainer::setChildWidget </td>
          <td>(</td>
          <td class="paramtype">QWidget *</td>          <td class="paramname"><span class="paramname"><em>cWidget</em></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ad1a9ed8353fc1e75c74364dee4c0c8db" name="ad1a9ed8353fc1e75c74364dee4c0c8db"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad1a9ed8353fc1e75c74364dee4c0c8db">&#9670;&#160;</a></span>setCursorShape()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void TContainer::setCursorShape </td>
          <td>(</td>
          <td class="paramtype">const QPoint &amp;</td>          <td class="paramname"><span class="paramname"><em>e_pos</em></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="a47db35c038b54b6f1a0d20a66984acc4" name="a47db35c038b54b6f1a0d20a66984acc4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a47db35c038b54b6f1a0d20a66984acc4">&#9670;&#160;</a></span>childWidget</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">QWidget* TContainer::childWidget</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a6ca3e2709b4130b8a299372a1ad50cc6" name="a6ca3e2709b4130b8a299372a1ad50cc6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6ca3e2709b4130b8a299372a1ad50cc6">&#9670;&#160;</a></span>l</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">QLayout* TContainer::l</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a53292ce420dfa371ec2bd7d2f4b1a70e" name="a53292ce420dfa371ec2bd7d2f4b1a70e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a53292ce420dfa371ec2bd7d2f4b1a70e">&#9670;&#160;</a></span>m_infocus</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool TContainer::m_infocus</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a92e0705a71484bef731751c82850f4b8" name="a92e0705a71484bef731751c82850f4b8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a92e0705a71484bef731751c82850f4b8">&#9670;&#160;</a></span>m_isEditing</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool TContainer::m_isEditing</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="aef805cb09018660db86662d75074e924" name="aef805cb09018660db86662d75074e924"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aef805cb09018660db86662d75074e924">&#9670;&#160;</a></span>m_showMenu</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool TContainer::m_showMenu</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="aee5e6ca8a4315dabde8f2c759f9e1cb9" name="aee5e6ca8a4315dabde8f2c759f9e1cb9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aee5e6ca8a4315dabde8f2c759f9e1cb9">&#9670;&#160;</a></span>menu</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">QMenu* TContainer::menu</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a7a844194c504b1284815baabb1d4db6f" name="a7a844194c504b1284815baabb1d4db6f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7a844194c504b1284815baabb1d4db6f">&#9670;&#160;</a></span>mode</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int TContainer::mode</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a6200418012e16d3b54a49b1559e41eb2" name="a6200418012e16d3b54a49b1559e41eb2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6200418012e16d3b54a49b1559e41eb2">&#9670;&#160;</a></span>position</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">QPoint TContainer::position</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>alatZaAnalitiku/src/<a class="el" href="tcontainer_8h_source.html">tcontainer.h</a></li>
<li>alatZaAnalitiku/src/<a class="el" href="tcontainer_8cpp.html">tcontainer.cpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.10.0
</small></address>
</body>
</html>
